%define	name	dopewars
%define	version 1.5.8
%define release 2mdk
%define summary	Make a fortune dealing drugs on the streets of New York

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License: 	GPL
Group:		Games/Strategy
Source0:	http://dopewars.sourceforge.net/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
URL:		http://dopewars.sourceforge.net
Requires:	libgtk+1.2
BuildRequires:	libgtk+1.2-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Based on John E. Dell's old Drug Wars game, dopewars is a simulation of an    
imaginary drug market.  dopewars is an All-American game which features       
buying, selling, and trying to get past the cops!                              
                                                                                
The first thing you need to do is pay off your debt to the Loan Shark. After   
that, your goal is to make as much money as possible (and stay alive)! You     
have one month of game time to make your fortune.                              

dopewars supports multiple players via. TCP/IP. Chatting to and fighting
with other players (computer or human) is supported; check the command line
switches (via dopewars -h) for further information. 

%prep
%setup -q

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -d $RPM_BUILD_ROOT{%{_gamesdatadir},%{_sysconfdir},%{_localstatedir}/games}
mv $RPM_BUILD_ROOT%{_gamesdatadir}/{doc,gnome,locale,pixmaps} $RPM_BUILD_ROOT%{_datadir}/
mv $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}.sco $RPM_BUILD_ROOT%{_localstatedir}/games/%{name}.sco
install -m644 doc/example-cfg  $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
# clean up documentation
#rm -f doc/Makefile*
#rm -f doc/%{name}.6

%{find_lang} %{name}

# icons
install -d $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir}}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png 
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_gamesbindir}/%{name}"\\
	needs="X11"\\
	icon="%{name}.png"\\
	section="Amusement/Strategy"\\
	title="Dopewars" \
	longtitle="%{summary}"
EOF

# create highscore file
install -d $RPM_BUILD_ROOT%{_localstatedir}/games
touch $RPM_BUILD_ROOT%{_localstatedir}/games/%{name}.sco

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
# not very nice, but it makes things work
%doc %{_datadir}/doc/*/
%config(noreplace) %{_sysconfdir}/%{name}
%{_libdir}/%{name}
%attr(2711,root,games) %{_gamesbindir}/dopewars
%attr(0664,root,games) %{_localstatedir}/games/%{name}.sco
%{_mandir}/man6/*
%{_datadir}/gnome/apps/Games/%{name}.desktop
%{_datadir}/pixmaps/*
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sat Jan 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.5.8-2mdk
- Create highscore file in install stage instead, no need for ghost file, and
  rpmlint gets happy:)
- Remove unneeded redundancy
- Don't rm -rf buildroot and install icons in prep stage, don't delete docs in
  install, (now possible to use --short-circuit)
- Quiet setup
- Make rpmlint more happy, longtitle, etc.
- Cleanups

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.5.8-1mdk
- 1.5.8

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.5.7-2mdk
- rebuild with new vorbis and gcc 3.2

* Wed Jun 26 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.5.7-1mdk
- 1.5.7
- menu entry
- config file
- better high score file handling
- more explicit summary :-)

* Fri Oct 26 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.5.2-2mdk
- new in contribs
- removed lurking cvs file

* Wed Oct 17 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.5.2-1mdk
- 1.5.2
- s/Copyright/License

* Tue May 15 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.5.0-1mdk
- first Mandrake release

